#ifndef _USB_ISC_BOOT_H
#define _USB_ISC_BOOT_H

#define AUSB_IOCTL_WRITE_MEMORY		1
#define AUSB_IOCTL_READ_MEMORY		2
#define AUSB_IOCTL_SET_POINT		3

#define VERSION_MAJOR			0
#define VERSION_MINOR			1

#ifdef __KERNEL__

/* for vendor-specific control operations */
#define	CONTROL_TIMEOUT_MS	(100)			/* msec */
#define CONTROL_TIMEOUT_JIFFIES ((CONTROL_TIMEOUT_MS * HZ)/1000)

/* Get a minor range for your devices from the usb maintainer */
#define USB_AUSB_MINOR_BASE	200	

/* we can have up to this number of device plugged in at once */
#define MAX_DEVICES		16

#endif /* __KERNEL__ */
#endif /* _USB_ANARCHY_H */
